<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: overo-pwm_ioctl.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('overo-pwm__ioctl_8h.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">overo-pwm_ioctl.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
Include dependency graph for overo-pwm_ioctl.h:</div>
<div class="dyncontent">
<div class="center"><img src="overo-pwm__ioctl_8h__incl.png" border="0" usemap="#overo-pwm__ioctl_8h" alt=""/></div>
<map name="overo-pwm__ioctl_8h" id="overo-pwm__ioctl_8h">
</map>
</div>
</div>
<p><a href="overo-pwm__ioctl_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPWM__Value__t.html">PWM_Value_t</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a5899b5088eae3b25e9bd240285097af2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>&#160;&#160;&#160;0x6b</td></tr>
<tr class="separator:a5899b5088eae3b25e9bd240285097af2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab525bea1d9fd00b86858450aa10918c9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#ab525bea1d9fd00b86858450aa10918c9">PWM_CMD_ON</a>&#160;&#160;&#160;0x6b02</td></tr>
<tr class="separator:ab525bea1d9fd00b86858450aa10918c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1888dba8f28cd00c3cfd336e7216a2b0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#a1888dba8f28cd00c3cfd336e7216a2b0">PWM_CMD_OFF</a>&#160;&#160;&#160;0x6b03</td></tr>
<tr class="separator:a1888dba8f28cd00c3cfd336e7216a2b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27fa200f601bdceea572df32076aa9ba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#a27fa200f601bdceea572df32076aa9ba">PWM_CMD_SET_FREQUENCY</a>&#160;&#160;&#160;0x6b04</td></tr>
<tr class="separator:a27fa200f601bdceea572df32076aa9ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7db3eb663bab4017724ae291a2f3cf82"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#a7db3eb663bab4017724ae291a2f3cf82">PWM_CMD_SET_DUTY</a>&#160;&#160;&#160;0x6b05</td></tr>
<tr class="separator:a7db3eb663bab4017724ae291a2f3cf82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bdc31accd570ba29bbb25c538208531"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#a7bdc31accd570ba29bbb25c538208531">PWM_IOCTL_ON</a>&#160;&#160;&#160;_IO( <a class="el" href="pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>, <a class="el" href="overo-pwm__ioctl_8h.html#ab525bea1d9fd00b86858450aa10918c9">PWM_CMD_ON</a> )  /* arg is int */</td></tr>
<tr class="separator:a7bdc31accd570ba29bbb25c538208531"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c241bd381028ef7636543f318fc1c71"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#a2c241bd381028ef7636543f318fc1c71">PWM_IOCTL_OFF</a>&#160;&#160;&#160;_IO( <a class="el" href="pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>, <a class="el" href="overo-pwm__ioctl_8h.html#a1888dba8f28cd00c3cfd336e7216a2b0">PWM_CMD_OFF</a> ) /* arg is int */</td></tr>
<tr class="separator:a2c241bd381028ef7636543f318fc1c71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a16e90b90b41390333772b63a444fb9b4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#a16e90b90b41390333772b63a444fb9b4">PWM_IOCTL_SET_FREQUENCY</a>&#160;&#160;&#160;_IOW( <a class="el" href="pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>, <a class="el" href="overo-pwm__ioctl_8h.html#a27fa200f601bdceea572df32076aa9ba">PWM_CMD_SET_FREQUENCY</a>,int )   /* arg is <a class="el" href="structPWM__Value__t.html">PWM_Value_t</a> * */</td></tr>
<tr class="separator:a16e90b90b41390333772b63a444fb9b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2236a82a1da569b603759d3bf3c8cd1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#ae2236a82a1da569b603759d3bf3c8cd1">PWM_IOCTL_SET_DUTY</a>&#160;&#160;&#160;_IOW( <a class="el" href="pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>, <a class="el" href="overo-pwm__ioctl_8h.html#a7db3eb663bab4017724ae291a2f3cf82">PWM_CMD_SET_DUTY</a>, int ) /* arg is <a class="el" href="structPWM__Value__t.html">PWM_Value_t</a> * */</td></tr>
<tr class="separator:ae2236a82a1da569b603759d3bf3c8cd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad30e5810ab12e4dddf97447e85509e75"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="overo-pwm__ioctl_8h.html#ad30e5810ab12e4dddf97447e85509e75">PWM_IOC_MAXNR</a>&#160;&#160;&#160;3</td></tr>
<tr class="separator:ad30e5810ab12e4dddf97447e85509e75"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="a1888dba8f28cd00c3cfd336e7216a2b0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CMD_OFF&#160;&#160;&#160;0x6b03</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00028">28</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab525bea1d9fd00b86858450aa10918c9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CMD_ON&#160;&#160;&#160;0x6b02</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00027">27</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7db3eb663bab4017724ae291a2f3cf82"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CMD_SET_DUTY&#160;&#160;&#160;0x6b05</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00030">30</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="a27fa200f601bdceea572df32076aa9ba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_CMD_SET_FREQUENCY&#160;&#160;&#160;0x6b04</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00029">29</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5899b5088eae3b25e9bd240285097af2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_IOC_MAGIC&#160;&#160;&#160;0x6b</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00025">25</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad30e5810ab12e4dddf97447e85509e75"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_IOC_MAXNR&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00047">47</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2c241bd381028ef7636543f318fc1c71"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_IOCTL_OFF&#160;&#160;&#160;_IO( <a class="el" href="pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>, <a class="el" href="overo-pwm__ioctl_8h.html#a1888dba8f28cd00c3cfd336e7216a2b0">PWM_CMD_OFF</a> ) /* arg is int */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00041">41</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7bdc31accd570ba29bbb25c538208531"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_IOCTL_ON&#160;&#160;&#160;_IO( <a class="el" href="pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>, <a class="el" href="overo-pwm__ioctl_8h.html#ab525bea1d9fd00b86858450aa10918c9">PWM_CMD_ON</a> )  /* arg is int */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00040">40</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae2236a82a1da569b603759d3bf3c8cd1"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_IOCTL_SET_DUTY&#160;&#160;&#160;_IOW( <a class="el" href="pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>, <a class="el" href="overo-pwm__ioctl_8h.html#a7db3eb663bab4017724ae291a2f3cf82">PWM_CMD_SET_DUTY</a>, int ) /* arg is <a class="el" href="structPWM__Value__t.html">PWM_Value_t</a> * */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00044">44</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
<a class="anchor" id="a16e90b90b41390333772b63a444fb9b4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define PWM_IOCTL_SET_FREQUENCY&#160;&#160;&#160;_IOW( <a class="el" href="pwm__ioctl_8h.html#a5899b5088eae3b25e9bd240285097af2">PWM_IOC_MAGIC</a>, <a class="el" href="overo-pwm__ioctl_8h.html#a27fa200f601bdceea572df32076aa9ba">PWM_CMD_SET_FREQUENCY</a>,int )   /* arg is <a class="el" href="structPWM__Value__t.html">PWM_Value_t</a> * */</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="overo-pwm__ioctl_8h_source.html#l00043">43</a> of file <a class="el" href="overo-pwm__ioctl_8h_source.html">overo-pwm_ioctl.h</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="overo-pwm__ioctl_8h.html">overo-pwm_ioctl.h</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:20 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
